# no code
## no critic: TestingAndDebugging::RequireUseStrict
package TableData::Test::Source::DBI;

our $AUTHORITY = 'cpan:PERLANCAR'; # AUTHORITY
our $DATE = '2024-05-14'; # DATE
our $DIST = 'TableDataRole-Source-DBI'; # DIST
our $VERSION = '0.026'; # VERSION

use alias::module 'TableData::DBI';

1;
# ABSTRACT: Alias package for TableData::DBI

__END__

=pod

=encoding UTF-8

=head1 NAME

TableData::Test::Source::DBI - Alias package for TableData::DBI

=head1 VERSION

This document describes version 0.026 of TableData::Test::Source::DBI (from Perl distribution TableDataRole-Source-DBI), released on 2024-05-14.

=head1 SYNOPSIS

To use from Perl code:

 use TableData::Test::Source::DBI;

 my $td = TableData::Test::Source::DBI->new;

 # Iterate rows of the table
 $td->each_row_arrayref(sub { my $row = shift; ... });
 $td->each_row_hashref (sub { my $row = shift; ... });

 # Get the list of column names
 my @columns = $td->get_column_names;

 # Get the number of rows
 my $row_count = $td->get_row_count;

See also L<TableDataRole::Spec::Basic> for other methods.

To use from command-line (using L<tabledata> CLI):

 # Display as ASCII table and view with pager
 % tabledata Test::Source::DBI --page

 # Get number of rows
 % tabledata --action count_rows Test::Source::DBI

See the L<tabledata> CLI's documentation for other available actions and options.

=head1 HOMEPAGE

Please visit the project's homepage at L<https://metacpan.org/release/TableDataRole-Source-DBI>.

=head1 SOURCE

Source repository is at L<https://github.com/perlancar/perl-TableDataRole-Source-DBI>.

=head1 SEE ALSO

L<TableData::DBI>

=head1 AUTHOR

perlancar <perlancar@cpan.org>

=head1 CONTRIBUTING


To contribute, you can send patches by email/via RT, or send pull requests on
GitHub.

Most of the time, you don't need to build the distribution yourself. You can
simply modify the code, then test via:

 % prove -l

If you want to build the distribution (e.g. to try to install it locally on your
system), you can install L<Dist::Zilla>,
L<Dist::Zilla::PluginBundle::Author::PERLANCAR>,
L<Pod::Weaver::PluginBundle::Author::PERLANCAR>, and sometimes one or two other
Dist::Zilla- and/or Pod::Weaver plugins. Any additional steps required beyond
that are considered a bug and can be reported to me.

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2024 by perlancar <perlancar@cpan.org>.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=head1 BUGS

Please report any bugs or feature requests on the bugtracker website L<https://rt.cpan.org/Public/Dist/Display.html?Name=TableDataRole-Source-DBI>

When submitting a bug or request, please include a test-file or a
patch to an existing test-file that illustrates the bug or desired
feature.

=cut
